#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream.h>
#include <fstream.h>
#include <math.h>

#define LIMIT_N_LOOK 10

class TrialEndNormal
{
public:
	TrialEndNormal();
	void clone(TrialEndNormal*);
	void getLookSimul();
	int Loadfile1(char *);
	int Loadfile2(char *);

public:
	char* type;  // Normal type data
	int order;      // The first or the second endpoint
	int num_look;
	int look_order;
	int num_simul;
	int looksimul;  // the same meanings as in previous code
	int sample_size; // the same for two endpoints;

	int sample_size1;     // The minimal sample size we need for control
	int sample_size2;	  // samplesize for treatment group

	int spending_number;
	int BiSpending;
	int rule_decision;

	double meanNull;
	double meanAlter;

	double minimalEffect;		// minimal detectable effect
	double Bi_Alpha;
	double Bi_Beta;	
	double overall_alpha;
	double overall_beta;

	double *alpha;
	double *beta;
	double *upperbound;
	double *lowerbound;
	double *boundary;
	double *event_look;
	double *inform_time;
	double *mean;
	double *var;
	double *coVar;

	double *UpperDesign;
	double *LowerDesign;
	double *BoundDesign;	// The maginal critical boudnaries;

	double *UpperAdjust; 
	double *LowerAdjust;
	double *BoundAdjust;	// The critical boundaries AFTER adjusting for the global alpha
							// after searching for c.

	double *UpperTrial;
	double *LowerTrial;
	double *BoundTrial;

	char decision;   // 's' or 'h': soft or hard
	
	double *AlphaEnd;
	double *BetaEnd;
	double *AlphaGlobal;

	double *testZ;
};
