#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream.h>
#include <fstream.h>
#include <math.h>

#define MAXLOOK 10
#define LIMIT_SAMPLESIZE 100
#define LIMIT_N_LOOK 10

class TrialEndSurvival
{
public:
	TrialEndSurvival();
	void clone(TrialEndSurvival*);
	int getLookSimul();
	// looksimul = (int) num_simul/num_look;
	int Loadfile1(char *);
	int Loadfile2(char *);
	int Loadfile3(char *);
	int Loadfile4(char *);

public:
	int order;				// the 1st or the 2nd endpoint
	char *type;
	char data_type;			// type of data
	int num_look;			// num of look
	int num_simul;         // number of simulations
	int looksimul;

	int look_order;

	int rule_decision;

	double alpha, beta;		// type I and II error
	double global_alpha, global_beta;

	double * alpha_spending;
	double * beta_spending;

	double * inform_time;	// The information spending
	double * look_time;     // The real corresponding calender time 
	
	int alphaSpend, betaSpend;	// Alpha and Beta spending number

	double *BiAlphaSpending;

	double lambdaNull, lambdaAlter;	// The hazard rate under Null and Alter
	double lambdadrop;	// The hazard rate of dropping for Null and Alter

	double entry;		// patient enter in time [0, entry];
	double followup;	// The follow up time [0, entry+fowllowup]

	int sample_size1;     // The minimal sample size we need for control
	int sample_size2;	  // samplesize for treatment group

	double *upperbound;		// The boundaries for the logrank test statistics 
	double *lowerbound;		// corresponding to the minimal required size
	double *boundary;

	double *UpperAdjust;
	double *LowerAdjust;

	double *testZ;

//////////////////////////////////////////////////////////////////////////////////////
		double* TrtTimeEvent, TrtTimeEntry; 

        double* PlaceboTimeEvent, PlaceboTimeEntry; 

        int* TrtTimeIndicator; 

        int* PlaceboTimeIndicator; 

};